package com.xkl.cdl.data

/**
 * author suliang
 * create 2022/3/18 9:34
 * Describe:
 */
object Constants{
/** 项目： 英语 */
const val SUBJECT_ENGLISH = 3L
/** 项目： 语文*/
const val SUBJECT_CHINESE = 1L

/**课程包类型: categoryId ->  英语单词课程 */
const val COURSEPACK_TYPE_ENGLISH_WORD = 1
/**课程包类型: categoryId ->  英语音标课程 */
const val COURSEPACK_TYPE_ENGLISH_SOUNDMARK= 4
/**课程包类型: categoryId ->  英语口语 */
const val COURSEPACK_TYPE_ENGLISH_SPOKEN = 13
/**课程包类型: categoryId ->  语文作文 */
const val COURSEPACK_TYPE_CHINESE_COMPOSITION = 2
/**课程包类型: categoryId ->  语文识字 */
const val COURSEPACK_TYPE_CHINESE_LITERACY = 3
/**课程包类型: categoryId ->  语文拼音 */
const val COURSEPACK_TYPE_CHINESE_PINYIN = 1


/**课程类型： typeId 英语认读*/
const val COURSE_TYPE_ENGLISH_DISCERN = 1
/**课程类型： typeId 英语辨音*/
const val COURSE_TYPE_ENGLISH_VOICE= 2
/**课程类型： typeId 英语拼写*/
const val COURSE_TYPE_ENGLISH_SPELL = 3
/**课程类型： typeId 英语音标*/
const val COURSE_TYPE_ENGLISH_SOUNDMARK = 6
/**课程类型： typeId 英语口语*/
const val COURSE_TYPE_ENGLISH_SPOKEN = 8
/**课程类型： typeId 语文作文*/
const val COURSE_TYPE_CHINESE_COMPOSITION = 4
/**课程类型： typeId 语文识字*/
const val COURSE_TYPE_CHINESE_LITERACY = 5
/**课程类型： typeId 语文拼音*/
const val COURSE_TYPE_CHINESE_PINYIN = 7


/**课时类型： 作文视频*/
const val COMPOSITION_TYPE_VIDEO = 1 //视频
/**课时类型： 作文知识点学习*/
const val COMPOSITION_TYPE_KNOWLEDGE = 2 //知识点学习
/**课时类型： 作文知识点测试*/
const val COMPOSITION_TYPE_EXAM = 3 //知识点测试
/**课时类型： 作文课堂练习*/
const val COMPOSITION_TYPE_READING = 4 //课堂练习
/**课时类型： 作文课外练习*/
const val COMPOSITION_TYPE_TASK = 5 //课外练习

/**课时类型： 口语词汇*/
const val SPOKEN_LESSON_TYPE_WORD = 1
/**课时类型： 口语句型*/
const val SPOKEN_LESSON_TYPE_SENTENCE = 2
/**课时类型： 口语对话*/
const val SPOKEN_LESSON_TYPE_DIALOGUE = 3

}