package com.xkl.cdl.module.main

import androidx.fragment.app.Fragment
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.viewModelScope
import com.suliang.common.base.viewmodel.BaseViewModel
import com.suliang.common.util.LogUtil
import com.xkl.cdl.R
import com.xkl.cdl.module.m_center_learn.LearnCenterFragment
import kotlinx.coroutines.delay
import kotlinx.coroutines.launch

/**
 * author suliang
 * create 2022/3/15 14:39
 * Describe:
 * 进行用户信息的判断，加载用户课程
 */
class MainActivityViewModel: BaseViewModel() {

    /** 进入程序加载完毕监听 */
    val mainInitLiveData = MutableLiveData<Boolean>()

    /***
     * 进行初始化加载
     */
    fun loadInit(): MutableLiveData<Boolean>  {
        //1、查询用户的课程数据
        //设置进入课程管理类中
//        viewModelScope.launch {
//            showHideLoading(true)
//            delay(2000)
//            LogUtil.e("launch delay")
//            LogUtil.e("launch后")
//            showHideLoading(false)
//            //通知Activity 加载完成
//        }
       return MutableLiveData<Boolean>().apply { postValue(true) }
    }

    //2、计算用户的复习数据
    //3、统计数据
    //4、备忘本数据


}