package com.xkl.cdl.module.splash

import android.annotation.SuppressLint
import android.os.Bundle
import android.os.Looper
import android.view.View
import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.bumptech.glide.load.resource.bitmap.CircleCrop
import com.suliang.common.base.activity.BaseActivity
import com.suliang.common.eventbus.LiveDataBus
import com.suliang.common.eventbus.NonStickyMutableLiveData
import com.suliang.common.util.LogUtil
import com.suliang.common.util.image.ImageLoader
import com.suliang.common.util.image.ImageLoaderOption
import com.suliang.common.util.media.*
import com.suliang.common.util.thread.AppExecutors
import com.xkl.cdl.R
import com.xkl.cdl.databinding.ActivitySplashBinding
import com.xkl.cdl.module.main.MainActivity
import com.xkl.cdl.module.main.MainActivityViewModel
import java.util.Calendar.SECOND
import java.util.concurrent.TimeUnit

@SuppressLint("CustomSplashScreen")
class SplashActivity : BaseActivity<ActivitySplashBinding>() {

    override fun onCreate(savedInstanceState: Bundle?) {
        if (!isTaskRoot) {
            finish()
            return
        }
        super.onCreate(savedInstanceState)
    }

    override fun initActivity(savedInstanceState: Bundle?) {

    }

    override fun loadData() {
        //定时跳跃到住主界面
        AppExecutors.scheduledExecutor.schedule({
            AppExecutors.mainThread.execute {
                startActivity(MainActivity::class.java)
                finish()
            }
        }, 2, TimeUnit.SECONDS)
    }


}
