package com.xkl.cdl.module.m_center_learn

import androidx.fragment.app.Fragment
import androidx.lifecycle.MutableLiveData
import com.suliang.common.base.viewmodel.BaseViewModel
import com.xkl.cdl.R
import com.xkl.cdl.data.Constants
import com.xkl.cdl.module.main.MainActivityViewModel

/**
 * author suliang
 * create 2022/3/17 11:01
 * Describe: 学习中心ViewModel
 */
class LearnCenterFragmentViewModel : BaseViewModel() {

    lateinit var mainActivityViewModel: MainActivityViewModel

    /** 学习中心 子 tab fragment **/
    var mProjectFragments = mutableListOf<Fragment>()
    /** 学习中心 子 tab title **/
    var mProjectTitles = mutableListOf<Int>()
    /** 搜索框的双向数据 */
    val mCoursePackSearchLiveData = MutableLiveData<String>()


    /** 实例化项目课程包Fragment和显示Title */
    fun initLearnCenterFragment(){
        if (mProjectFragments.isEmpty()){
            mProjectFragments.add(CoursePackFragment.newInstance(Constants.SUBJECT_ENGLISH))
            mProjectFragments.add(CoursePackFragment.newInstance(Constants.SUBJECT_CHINESE))
        }
        if (mProjectTitles.isEmpty()){
            mProjectTitles.add(R.string.project_english)
            mProjectTitles.add(R.string.project_chinese)
        }

    }
}