package com.suliang.common.base

import com.suliang.common.base.activity.ToastEvent

/**
 * author suliang
 * create 2022/3/17 11:41
 * Describe: 页面常用操作行为
 */
interface ViewBehavior {
    /** 是否显示视图 */
    fun showHideLoading(isShow: Boolean)

    /** 显示toast */
    fun showToast(msg: ToastEvent)

    /** 无参数跳转activity */
    fun startActivity(clazz: Class<*>)


    /** 返回键点击*/
//    fun backPress(arg: Any?);
    /**  关闭页面 */
//    fun finishPage(arg: Any?)

}