package com.suliang.common.util

import android.app.Application
import java.lang.Exception

/**
 * 用于获取全局Applicaiton
 */
object AppGlobals {
    val application by lazy {
        try {
            val currentApplication = Class.forName("android.app.ActivityThread").getDeclaredMethod("currentApplication")
            currentApplication.invoke(null, null) as Application
        }catch (e:Exception){
            throw RuntimeException("AppGlobals获取Application异常")
        }
    }
}