package com.suliang.common.util.image

/**
 * author suliang
 * create 2022/3/11 15:45
 * Describe:  策略接口
 */
interface IBaseLoaderStrategy {

    fun  loadImage(option : ImageLoaderOption)

    /**
     * 清理内存缓存
     */
    fun clearMemoryCache()

    /**
     * 清理磁盘缓存
     */
    fun clearDiskCache()


//    fun getMemoryCacheSize()
//
//    fun getDiskCacheSize()


}