package com.suliang.common.util.thread

import android.os.Handler
import android.os.Looper
import java.util.concurrent.Executor

/**
 * author suliang
 * create 2022/3/11 11:31
 * Describe:
 */
internal class MainThreadExecutor : Executor {

    companion object{
        private val mainThreadHandler = Handler(Looper.getMainLooper())
    }

    override fun execute(command: Runnable?) {
        command?.let {
            mainThreadHandler.post(command)
        }
    }
}